import 'package:flutter/material.dart';
import 'package:furibase/components/collection_container.dart';

class CollectionFragmentScreen extends StatefulWidget {
  const CollectionFragmentScreen({super.key});

  @override
  State<CollectionFragmentScreen> createState() =>
      _CollectionFragmentScreenState();
}

class _CollectionFragmentScreenState extends State<CollectionFragmentScreen> {
  @override
  Widget build(BuildContext context) {
    return SingleChildScrollView(
      child: Column(
        crossAxisAlignment: CrossAxisAlignment.start,
        children: [
          SizedBox(height: 80),
          Padding(
            padding: EdgeInsets.all(40),
            child: Wrap(
              alignment: WrapAlignment.spaceAround,
              spacing: 10, // Horizontal spacing between the containers
              runSpacing: 10, // Vertical spacing between lines
              children: [
                CollectionContainer(
                  label: "Luffy",
                  imagesrc: 'images/ft_luffy.png',
                  onTapAc: () => {},
                ),
                CollectionContainer(
                  label: "Oni Chan",
                  imagesrc: 'images/ft_cepot.png',
                  onTapAc: () => {},
                ),
              ],
            ),
          ),
        ],
      ),
    );
  }
}
